#
# spec file for package nagios-plugins (Version 1.4.5)
#
# Copyright (c) 2007 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 cifs-mount coreutils cpio cpp cpp41 cracklib cvs cyrus-sasl cyrus-sasl-devel db diffutils e2fsprogs e2fsprogs-devel file filesystem fillup findutils flex fping freetype2 gawk gcc gcc41 gdbm gdbm-devel gettext gettext-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv iputils klogd krb5 krb5-devel less libacl libart_lgpl libattr libcap libcom_err libgcc41 libiniparser libltdl libmudflap41 libnscd libpng libsmbclient libsmbclient-devel libstdc++41 libtool libusb libvolume_id libxcrypt libzio linux-kernel-headers logrotate m4 make man mktemp module-init-tools mysql-client mysql-devel mysql-shared nagios ncurses ncurses-devel net-snmp net-snmp-devel net-tools netcfg openct openldap2 openldap2-client openldap2-devel opensc openslp openssh openssl openssl-devel pam pam-modules patch pcsc-lite perl perl-Crypt-DES perl-Digest-HMAC perl-Digest-SHA1 perl-Net-SNMP perl-TermReadKey permissions popt popt-devel postfix postgresql-devel postgresql-libs procinfo procps psmisc pwdutils python python-devel radiusclient rcs readline rpm rpm-devel rrdtool samba-client sed sensors sqlite strace sysfsutils sysvinit tar tcpd tcpd-devel texinfo timezone udev unzip util-linux vim xntp zlib zlib-devel

Name:           nagios-plugins
BuildRequires:  fping iputils krb5-devel libsmbclient libsmbclient-devel mysql-devel nagios net-snmp-devel openldap2 openldap2-devel openssh perl-Net-SNMP postfix postgresql-devel python-devel radiusclient samba-client xntp
Summary:        The Nagios Plug-Ins
Version:        1.4.5
Release:        8
Url:            http://nagiosplug.sourceforge.net/
License:        GPL v2 or later
Group:          System/Monitoring
AutoReqProv:    on
Source0:        nagios-plugins-%{version}.tar.bz2
Patch1:         nagios-plugins-1.4.5-autoconf.patch
Patch2:         nagios-plugins-1.4.5-check_http.c.patch
Patch3:         nagios-plugins-1.4.5-check_icmp.c.patch
Patch4:         nagios-plugins-1.4.5-check_ldap.c.patch
Patch5:         nagios-plugins-1.4.5-check_procs.c.patch
Patch6:         nagios-plugins-1.4.5-check_fping.c.patch
Patch7:         nagios-plugins-1.4.5-check_mysql.c.patch
Patch8:         nagios-plugins-1.4.5-check_mysql_query.c.patch
Patch9:         nagios-plugins.check_http.redir.patch
Patch10:        nagios-plugins.check_snmp.overflow.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Requires:       perl-Net-SNMP
%define	libexecdir %{_prefix}/lib/nagios/plugins

%description
These plug-ins are needed for Nagios checks.



Authors:
--------
    Karl DeBisschop <kdebisschop@users.sourceforge.net>
    and others

%debug_package
%package  extras
Summary:        Nagios Plug-Ins which Depend on Additional Packages
Group:          System/Monitoring
Requires:       nagios-plugins net-snmp fping

%description extras
These are additional plug-ins for Nagios. They depend on other packages
which have to be installed.



Authors:
--------
    Karl DeBisschop <kdebisschop@users.sourceforge.net>
    and others

%prep
%setup -q
%patch1
%patch2
%patch3
%patch4
%patch5
%patch6
%patch7
%patch8
%patch9 -p1
%patch10 -p1

%build
%{?suse_update_config:%{suse_update_config}}
#aclocal
#automake
autoconf
CFLAGS="$RPM_OPT_FLAGS -DLDAP_DEPRECATED" \
CXXFLAGS="$RPM_OPT_FLAGS -DLDAP_DEPRECATED" \
./configure \
	--prefix=%{_prefix} \
	--libexecdir=%{libexecdir} \
	--with-cgiurl=/nagios/cgi-bin \
	--with-mysql
make all

%install
make DESTDIR=${RPM_BUILD_ROOT} install
install -d $RPM_BUILD_ROOT/etc/nagios
install -m 664 command.cfg $RPM_BUILD_ROOT/etc/nagios

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%dir /etc/nagios
%config(missingok,noreplace) /etc/nagios/command.cfg
%doc ACKNOWLEDGEMENTS AUTHORS BUGS COPYING CHANGES ChangeLog NEWS README FAQ SUPPORT
%doc REQUIREMENTS THANKS LEGAL
%dir /usr/lib/nagios
%dir %{libexecdir}
%{libexecdir}/check_breeze
%{libexecdir}/check_by_ssh
%{libexecdir}/check_clamd
%attr(0755,-,-) %{libexecdir}/check_dhcp
%{libexecdir}/check_dig
%{libexecdir}/check_disk
%{libexecdir}/check_disk_smb
%{libexecdir}/check_dns
%{libexecdir}/check_dummy
%{libexecdir}/check_file_age
%{libexecdir}/check_flexlm
%{libexecdir}/check_ftp
%{libexecdir}/check_http
%attr(0755,-,-) %{libexecdir}/check_icmp
%{libexecdir}/check_ifoperstatus
%{libexecdir}/check_ifstatus
%{libexecdir}/check_imap
%{libexecdir}/check_ircd
%{libexecdir}/check_load
%{libexecdir}/check_log
%{libexecdir}/check_mailq
%{libexecdir}/check_mrtg
%{libexecdir}/check_mrtgtraf
%{libexecdir}/check_nagios
%{libexecdir}/check_nntp
%{libexecdir}/check_nt
%{libexecdir}/check_ntp
%{libexecdir}/check_nwstat
%{libexecdir}/check_oracle
%{libexecdir}/check_overcr
%{libexecdir}/check_ping
%{libexecdir}/check_pop
%{libexecdir}/check_procs
%{libexecdir}/check_real
%{libexecdir}/check_rpc
%{libexecdir}/check_sensors
%{libexecdir}/check_smtp
%{libexecdir}/check_ssh
%{libexecdir}/check_swap
%{libexecdir}/check_tcp
%{libexecdir}/check_time
%{libexecdir}/check_udp
%{libexecdir}/check_ups
%{libexecdir}/check_users
%{libexecdir}/check_wave
%{libexecdir}/negate
%{libexecdir}/urlize
%{libexecdir}/utils.pm
%{libexecdir}/utils.sh
/usr/share/locale/*/LC_MESSAGES/*

%files extras
%{libexecdir}/check_fping
%{libexecdir}/check_hpjd
%{libexecdir}/check_ldap
%{libexecdir}/check_ldaps
%{libexecdir}/check_mysql
%{libexecdir}/check_mysql_query
%{libexecdir}/check_pgsql
%{libexecdir}/check_radius
%{libexecdir}/check_snmp
%{libexecdir}/check_jabber
%{libexecdir}/check_nntps
%{libexecdir}/check_simap
%{libexecdir}/check_spop
%{libexecdir}/check_ssmtp
%{libexecdir}/check_apt
%changelog
* Fri Oct 26 2007 - olh@suse.de
- fix possible buffer overflow in check_snmp with snmpget replies (336002)
* Tue Oct 23 2007 - olh@suse.de
- fix check_http Location: check (331728)
  use server IP address instead of hostname
* Mon Oct 08 2007 - olh@suse.de
- fix check_http buffer overflow vulnerability when following HTTP
  redirects (331728)
* Fri Nov 17 2006 - tsieden@suse.de
- fix build
  * typos in check_http.c, check_icmp.c and check_ldap.c
  * added missing include to check_procs.c
  * fix more gcc warnings in check_fping.c, check_mysql.c and
  check_mysql_query.c
* Thu Nov 16 2006 - tsieden@suse.de
- update to version 1.4.5
  * check_udp2 removed. check_udp is now linked to check_tcp.c
  * new check_apt plugin
  * new C based check_ntp. the perl version is now
  deprecated.
  * major bug fixes to check_disk where values were incorrectly
  calculated and alerted on.
  * check_mailq now errors if the sub-program run returns
  non-zero return code. this would appear as if mailqs were
  okay when the nagios user could not query the mail-queues
  * compile problems with check_snmp fixed
* Wed Jun 21 2006 - stark@suse.de
- update to version 1.4.3
  * check_mysql_query added to run arbitrary SQL commands,
  with threshold checking
  * new check_clamd
* Fri Jun 16 2006 - schwab@suse.de
- Fix syntax error in configure script.
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Mon Dec 19 2005 - ro@suse.de
- added previously unpackaged symlinks to extras package
* Tue Oct 25 2005 - rhafer@suse.de
- added LDAP_DEPRECATED to CFLAGS to build correctly with
  OpenLDAP 2.3
* Tue Sep 20 2005 - stark@suse.de
- update to version 1.4.2
* Tue Aug 02 2005 - stark@suse.de
- update to version 1.4.1
* Tue May 17 2005 - stark@suse.de
- fixed overwriting a buffer
* Tue May 17 2005 - stark@suse.de
- fixed ps syntax (bug 75699)
* Fri Feb 04 2005 - stark@suse.de
- update to version 1.4
* Wed May 26 2004 - ro@suse.de
- add some return values to non-void functions
* Thu Dec 18 2003 - stark@suse.de
- adopted to new ping output format (iputils-ss021109) (#33710)
* Mon Nov 10 2003 - ro@suse.de
- use net-snmp instead of ucdsnmp
* Fri Jul 18 2003 - stark@suse.de
- update to 1.3.1
* Thu Jun 19 2003 - stark@suse.de
- added missing directories to filelist
* Tue May 27 2003 - stark@suse.de
- update to 1.3.0
  * added check_nt
* Mon Dec 02 2002 - stark@suse.de
- update to 1.3.0beta2
  * included SNMPv3 patch
* Thu Nov 21 2002 - ro@suse.de
- work around autoconf problem
* Wed Oct 09 2002 - stark@suse.de
- added nagios to neededforbuild (Bug #20557)
* Sun Oct 06 2002 - stark@suse.de
- moved Requires: perl-Net-SNMP from extras to "normal" package
  (Bug #20559)
- removed Requires: nagios because it is also possible
  to use it with nagios-nrpe
* Thu Aug 01 2002 - ro@suse.de
- use openldap2 as neededforbuild
* Tue Jul 09 2002 - stark@suse.de
- added patch to be able to connect via SNMPv3 (check_snmp)
* Mon Jul 01 2002 - ro@suse.de
- find mysql on lib64
* Wed Jun 19 2002 - stark@suse.de
- switched to nagiosplug 1.3beta1
  (is stated as beta but should be usable in almost all cases)
* Fri Jun 14 2002 - stepan@suse.de
- add mysql-client to neededforbuild
* Mon Apr 29 2002 - stark@suse.de
- changed Requires to nagios
* Tue Jan 15 2002 - stark@suse.de
- fixed check_ping to fit new ping output (#12769)
* Wed Nov 07 2001 - stark@suse.de
- use AM_INIT_AUTOMAKE
* Mon Aug 27 2001 - ro@suse.de
- fix for current ping output (round-trip is called rtt now)
- bzip source
* Mon Jul 30 2001 - stark@suse.de
- added openssl to #neededforbuild
* Fri Jul 27 2001 - kukuk@suse.de
- change postgresql-lib -> postgresql-libs
* Mon Jul 16 2001 - stark@suse.de
- added mysql-shared to #neededforbuild
* Tue Jul 10 2001 - stark@suse.de
- package splitted (netsaint-plugins-extras for dependent functions
- added check_fping
* Mon Jul 09 2001 - stark@suse.de
- fixed #ifdef in check_mrtg.c, check_nwstat.c, check_by_ssh.c
* Mon Jun 18 2001 - stark@suse.de
- removed openldap-client from neededforbuild
* Mon May 14 2001 - stark@suse.de
- update to release 1.2.9-4
* Thu Apr 19 2001 - stark@suse.de
- initial package 1.2.9-3
